Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSDataSet Class Reference

Deprecated: This class is for internal Avaya use only. More...

`#import <CSDataSet.h>`

Inherits NSObject, and <NSFastEnumeration>.

## Instance Methods
(NSArray *) | - array
| Returns an new array that is a copy of the data set. More...
(BOOL) | - containsObject:
| Returns a Boolean value that indicates the data set contains the object or not. More...
(id) | - objectAtIndexedSubscript:
| Return the object at the index of the data set. More...
(void) | - enumerateObjectsUsingBlock:
| Executes a given block using each object in the data set, starting with the first object and continuing through the data set to the last object. More...
(NSUInteger) | - countByEnumeratingWithState:objects:count:
| Returns by reference a C array of objects over which the sender should iterate, and as the return value the number of objects in the array. More...
(void) | - addDelegate:
| Add a delegate to be notified of data set changed. More...
(void) | - removeDelegate:
| Remove a delegate to be notified of data set changed. More...

## Properties
NSUInteger | count
| Returns count The total number of elements in the data set. More...

## Detailed Description

Deprecated: This class is for internal Avaya use only.

Deprecated: This class is not thread safe and has been deprecated for third party application use. Any public methods returning CSDataSet are now marked as deprecated and have been replaced by equivalent methods on the same class. Third party applications should not use these deprecated methods as they are not supported by Avaya.

## Method Documentation

- (void) addDelegate: |  | (id< CSDataSetDelegate >) | delegate |

Add a delegate to be notified of data set changed.

Parameters

  delegate | The delegate to be added.

- (NSArray*) array |  |  |

Returns an new array that is a copy of the data set.

- (BOOL) containsObject: |  | (id) | object |

Returns a Boolean value that indicates the data set contains the object or not.

Parameters

  object | The object to test the membership of the data set.

Returns
  `YES` if the data set contains the object @ NO otherwise.

- (NSUInteger) countByEnumeratingWithState: |  | (NSFastEnumerationState *) | state
objects: |  | (id __unsafe_unretained[]) | buffer
count: |  | (NSUInteger) | len

Returns by reference a C array of objects over which the sender should iterate, and as the return value the number of objects in the array.

(required) The state structure is assumed to be of stack local memory, so you can recast the passed in state structure to one more suitable for your iteration.

Parameters

  state | Context information that is used in the enumeration to, in addition to other possibilities, ensure that the collection has not been mutated.
  buffer | A C array of objects over which the sender is to iterate.
  len | The maximum number of objects to return in stackbuf.

Returns
  The number of objects returned in stackbuf. Returns 0 when the iteration is finished.

- (void) enumerateObjectsUsingBlock: |  | (void(^)(id obj, NSUInteger idx, BOOL *stop)) | block |

Executes a given block using each object in the data set, starting with the first object and continuing through the data set to the last object.

If the Block parameter is nil this method will raise an exception. Values allocated within the block will be deallocated after the block is executed. Use retain to explicitly maintain those values. This method executes synchronously.

Parameters

  block | The block to apply to elements in the array. The block takes three arguments: `obj` The element in the array. `idx` The index of the element in the data set. `*stop` A reference to a Boolean value. The block can set the value to YES to stop further processing of the array. The stop argument is an out-only argument. You should only ever set this Boolean to YES within the Block.

- (id) objectAtIndexedSubscript: |  | (NSUInteger) | idx |

Return the object at the index of the data set.

If index is beyond the end of the ordered set (that is, if index is greater than or equal to thevalue returned by count), an NSRangeException is raised.

Parameters

  idx | An index

- (void) removeDelegate: |  | (id< CSDataSetDelegate >) | delegate |

Remove a delegate to be notified of data set changed.

Parameters

  delegate | The delegate to be removed.

## Property Documentation

- (NSUInteger) count
| read nonatomic assign

Returns count The total number of elements in the data set.

The documentation for this class was generated from the following file:

- CSDataSet.h